<?php
$logged = isset($_SESSION['nickname']) ;
?>

<header>
    <nav class="navbar navbar-dark bg-dark">
        <div class="nav-content">
            <a class="navbar-brand" href="<?php echo $GLOBALS['DOCUMENT_DIR'] ?>index.php">
<!--                <img src="images/MagicLogo4.png" alt="" height="40"  class="d-inline-block align-top">-->
                <div style="width: 0.5em"></div>
                <h1>Magic Store</h1>
            </a>
            <?php if($logged):?>
                <a class="btn btn-dark" role="button" href="<?php echo $GLOBALS['DOCUMENT_DIR'] ?>pages/shop.php">
                    Shop
                </a>
            <?php else: ?>
            <a class="btn btn-dark" role="button" href="<?php echo $GLOBALS['DOCUMENT_DIR'] ?>pages/browse.php">
                Browse
            </a>
            <?php endif; ?>

            <div style="flex: 1"></div>

            <div class="btn-group" role="group">
            <?php if ($logged):?>
                <div class="dropdown">
                    <button class="btn btn-dark  dropdown-toggle" role="button" data-bs-toggle="dropdown">
                        <?php echo htmlspecialchars($_SESSION['nickname']) ; ?>
                        <span class="caret"></span></button>
                    </button>
                    <div class="dropdown-menu dropdown-menu-dark dropdown-menu-end">
                        <li><a class="dropdown-item" href="<?php echo $GLOBALS['DOCUMENT_DIR']?>pages/logout.php">Logout</a></li>
                    </div>
                </div>
            <?php else: ?>
                <a class="btn btn-dark" role="button" href="<?php echo $GLOBALS['DOCUMENT_DIR']?>pages/login.php">
                    Login
                </a>
            <?php endif; ?>
            </div>

        </div>
    </nav>
</header>
