<?php


namespace magic;


class Template
{

    public static function render($code) : void{ ?>

        <!doctype html>
        <html lang="en">
        <head>
            <meta charset="UTF-8">
            <meta name="viewport"
                  content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
            <meta http-equiv="X-UA-Compatible" content="ie=edge">
            <title>Magic Store</title>

            <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
            <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/js/bootstrap.bundle.min.js" integrity="sha384-b5kHyXgcpbZJO/tY9Ul7kGkf1S0CWuKcCD38l8YkeH8z8QjE0GmW1gYU5S9FOnJ0" crossorigin="anonymous"></script>

            <link rel="stylesheet" href="<?php echo $GLOBALS['CSS_DIR'] ?>magic-logger.css">
            <link rel="stylesheet" href="<?php echo $GLOBALS['CSS_DIR'] ?>magic-store.css">
        </head>
        <body>
        <?php include $GLOBALS['PHP_DIR']."pages/header.php" ; ?>
        <div id="main-content">

            <?php echo $code ?>

        </div> <!-- #main-content -->
        <?php include $GLOBALS['PHP_DIR']."pages/footer.php" ?>
        </body>
        </html
    <?php
    }

}